"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getNextVersionOptions = getNextVersionOptions;

var _prettyVersionDiff = _interopRequireDefault(require("pretty-version-diff"));

var _semver = _interopRequireDefault(require("semver"));

var _chalk = _interopRequireDefault(require("chalk"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const increments = ['patch', 'minor', 'major'];

function getNextVersionOptions(currentVersion) {
  currentVersion = _semver.default.clean(currentVersion);
  return increments.map(increment => {
    return {
      name: `${increment}  ${_chalk.default.dim('v')}${(0, _prettyVersionDiff.default)(currentVersion, increment)}`,
      value: _semver.default.inc(currentVersion, increment)
    };
  });
}